# Get base schema

`GET https://api.airtable.com/v0/meta/bases/{baseId}/tables`

Returns the schema of the tables in the specified base.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`schema.bases:read`](https://airtable.com/developers/web/api/scopes.md#schema-bases-read)
- **User role:** Base read-only
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

## Query parameters

- `include: array<"visibleFieldIds">` — optional

  If specified, additional fields to include in the `views` object response; currently, this list only allows a single literal value `visibleFieldIds` (for views of type `grid` only)

## Response format

- `tables: array<Table-model>` — required

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/bases/{baseId}/tables" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "tables": [
    {
      "description": "Apartments to track.",
      "fields": [
        {
          "description": "Name of the apartment",
          "id": "fld1VnoyuotSTyxW1",
          "name": "Name",
          "type": "singleLineText"
        },
        {
          "id": "fldoaIqdn5szURHpw",
          "name": "Pictures",
          "options": {
            "isReversed": false
          },
          "type": "multipleAttachments"
        },
        {
          "id": "fldumZe00w09RYTW6",
          "name": "District",
          "options": {
            "inverseLinkFieldId": "fldWnCJlo2z6ttT8Y",
            "isReversed": false,
            "linkedTableId": "tblK6MZHez0ZvBChZ",
            "prefersSingleRecordLink": true
          },
          "type": "multipleRecordLinks"
        }
      ],
      "id": "tbltp8DGLhqbUmjK1",
      "name": "Apartments",
      "primaryFieldId": "fld1VnoyuotSTyxW1",
      "views": [
        {
          "id": "viwQpsuEDqHFqegkp",
          "name": "Grid view",
          "type": "grid"
        }
      ]
    },
    {
      "fields": [
        {
          "id": "fldEVzvQOoULO38yl",
          "name": "Name",
          "type": "singleLineText"
        },
        {
          "description": "Apartments that belong to this district",
          "id": "fldWnCJlo2z6ttT8Y",
          "name": "Apartments",
          "options": {
            "inverseLinkFieldId": "fldumZe00w09RYTW6",
            "isReversed": false,
            "linkedTableId": "tbltp8DGLhqbUmjK1",
            "prefersSingleRecordLink": false
          },
          "type": "multipleRecordLinks"
        }
      ],
      "id": "tblK6MZHez0ZvBChZ",
      "name": "Districts",
      "primaryFieldId": "fldEVzvQOoULO38yl",
      "views": [
        {
          "id": "viwi3KXvrKug2mIBS",
          "name": "Grid view",
          "type": "grid"
        }
      ]
    }
  ]
}
```
